Re: How to select Linux kernel version?


Quentin Schulz
 

Hi Jupiter,

On Sat, Jan 09, 2021 at 09:56:13AM +1100, Jupiter wrote:
Hi Quentin,

Thanks for your helps, I finally figured out an old Yocto version thud
is able to pick up the latest the kernel version to run 5.10 where the
Zeus could not, there are a couple of bugs in Zeus which I could not
run Zeus in Ubuntu 20.4, it is time for me to upgrade to the latest
Yocto version which hopefully fixes the kernel version issue.
This should have nothing to do with a Yocto version, if your recipe is
not found, it's just not found and it is usually a tell that you either
put your recipe in the wrong tree layout or that you forgot to add the
layers to your bblayers.conf.

If both were done correctly and you still have the issue, it is an
important bug to report and investigate, so please share with us the
output of bblayers.conf and the path to your linux-yocto_5.10 recipe.

You could also add:
python __anonymous() {
bb.warning("The recipe is being parsed as expected")
}

If when you run bitbake virtual/kernel you don't see a warning, your
recipe is for sure not parsed and obviously cannot be used by Yocto.

Cheers,
Quentin

Join yocto@lists.yoctoproject.org to automatically receive all group messages.